
#include <Windows.h>
#include "Config.h"

void Config::readConfig() {
	moduleEnabled = GetPrivateProfileIntA("general", "EnableModule", 1, iniFile.c_str());
	devConsoleEnabled = GetPrivateProfileIntA("general", "EnableDevConsole", 1, iniFile.c_str());

	char section[16];
	char teamname[32];
	char filename[MAX_PATH];
	for(int i=0; i < 128; i++) {
		sprintf_s(section, "team%d", i);
		GetPrivateProfileStringA(section, "TeamName", "", teamname, sizeof(teamname), iniFile.c_str());
		GetPrivateProfileStringA(section, "FileName", "", filename, sizeof(filename), iniFile.c_str());
		if(strlen(teamname) && strlen(filename)) {
			teamBarNames[teamname] = filename;
		}
	}
}

bool Config::isDevConsoleEnabled() {
	return devConsoleEnabled;
}

bool Config::isModuleEnabled() {
	return moduleEnabled;
}

std::map<std::string, BitmapImage *> &Config::getBarImages() {
	return barImages;
}

std::map<std::string, std::string> &Config::getTeamBarNames() {
	return teamBarNames;
}
